/*
 * Copyright 2013 (c) Anna Schumaker.
 *
 * DO NOT INCLUDE THIS FILE DIRECTLY.  THIS IS A TEMPLATE DEFINITION FILE
 * AND ONLY MEANT TO BE INCLUDED BY include/idle.h!
 */
#ifndef OCARINA_IDLE_HPP
#define OCARINA_IDLE_HPP

template <class T>
idle :: IdleTask<T> :: IdleTask(void (*fn)(T &), T param)
		     : func(fn), data(param)
{
	IdleBase :: schedule();
}

template <class T>
idle :: IdleTask<T> :: ~IdleTask()
{
}

template <class T>
void idle :: IdleTask<T> :: run()
{
	func(data);
}

#endif /* OCARINA_IDLE_HPP */
