/*
 * Copyright 2013 (c) Anna Schumaker.
 */
#ifndef OCARINA_PLAYLIST_H
#define OCARINA_PLAYLIST_H

#include <core/index.h>
#include <core/queue.h>

#include <string>

namespace playlist
{

	void init();
	bool has(Track *, const std::string &);
	void add(Track *, const std::string &);
	void del(Track *, const std::string &);
	void select(const std::string &);
	IndexEntry *get_tracks(const std::string &);
	Queue *get_queue();

};

#endif /* OCARINA_PLAYLIST_H */
